| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
PathObject Class Reference
PDF
Inheritance diagram for PathObject:

## Public Member Functions
| getFillMode ()
| Get the fill mode of the path object. More...
| getPathPoints ()
| Get the points of the path object. More...
| needStroke ()
| Check if it need to stroke for this path object. More...
Public Member Functions inherited from GraphicsObject
| getBitmap (scale, rotation=0, type='canvas')
| Render graphics object. More...
| getBorderColor ()
| Get the border color of this graphics object, for path object. More...
| getBorderDashes ()
| Get the dash array of this graphics object, for path object. More...
| getBorderStyle ()
| Get the border style of this path object, dash or solid. More...
| getBorderWidth ()
| Get the border width of this graphics object, for path object. More...
| getDeviceMatrix ()
| Get the device matrix of this graphics object, in device coordinate. More...
| getFillColor ()
| Get the fill color of this graphics object, for path object. More...
| getId ()
| Get the identity string of this graphics object. More...
| getMatrix ()
| Get the matrix of this graphics object, in PDF coordinate. More...
| getOpacity ()
| Get the opacity of this graphics object. More...
| getPDFPage ()
| Get the associated pdf page of this graphics object. More...
| getRect ()
| Get the rectangle of this graphics object. More...
| getType ()
| Get the type of this graphics object. More...
| moveToPosition (type, graphicObj)
| Sets the position of this graphics object. More...
| setBorderColor (value)
| Set the border color of this graphics object, for path object. More...
| setBorderStyle (value, dashes)
| Set the border style of this graphics object, for path object. More...
| setBorderWidth (value)
| Set the border width of this graphics object, for path object. More...
| setFillColor (value)
| Set the fill color of this graphics object, for path object. More...
| setMatrix (matrix)
| Set the matrix of this graphics object. More...
| setOpacity (value)
| Set the fill color of this graphics object. More...
| setRect (rect)
| Set the rectangle of this graphics object, move it to the specified rectangle. More...

## Detailed Description

PDF path object

## Member Function Documentation

## ◆ getFillMode()

PathObject::getFillMode | ( |  | ) |
| inline

Get the fill mode of the path object.

Returns
  number - The fill mode. Graphics_FillMode .

Since
  7.4.0

## ◆ getPathPoints()

PathObject::getPathPoints | ( |  | ) |
| inline

Get the points of the path object.

Returns
  Array<{x:number,y:number}> - The points of the path object.

Since
  7.4.0

## ◆ needStroke()

PathObject::needStroke | ( |  | ) |
| inline

Check if it need to stroke for this path object.

Returns
  boolean - True if needs to stroke, otherwise false.

Since
  7.4.0

@2026 Foxit Software Incorporated. All rights reserved.